Cache
Endpoints for Cache
Stay in the loop 🚀
Endpoints for Cache
GET/api/v1/cache/all
Authentication: Bearer token (JWT)
No named fields are defined for this schema.
{}unauthorized
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorscurlcurl https://api.subrite.no/api/v1/cache/all \
--header 'Authorization: Bearer <token>'GET/api/v1/cache/get/{key}
Authentication: Bearer token (JWT)
keystringRequiredNo named fields are defined for this schema.
GET/api/v1/cache/get/{key}/{identifier}
Authentication: Bearer token (JWT)
keystringRequiredidentifierstringRequiredDELETE/api/v1/cache/clear/pattern/{pattern}
Authentication: Bearer token (JWT)
patternstringRequiredNo named fields are defined for this schema.
DELETE/api/v1/cache/clear/{key}
Authentication: Bearer token (JWT)
keystringRequiredNo named fields are defined for this schema.
DELETE/api/v1/cache/clear/{key}/{identifier}
Authentication: Bearer token (JWT)
keystringRequiredidentifierstringRequiredThis response has no body.
fieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}object{}unauthorized
Same fields as Get all keys for all cache identifiers (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/cache/get/{key}' \
--header 'Authorization: Bearer <token>'objectNo named fields are defined for this schema.
{}unauthorized
Same fields as Get all keys for all cache identifiers (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/cache/get/{key}/{identifier}' \
--header 'Authorization: Bearer <token>'[
"string"
]unauthorized
Same fields as Get all keys for all cache identifiers (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/cache/clear/pattern/{pattern}' \
--request DELETE \
--header 'Authorization: Bearer <token>'array of string[
"string"
]unauthorized
Same fields as Get all keys for all cache identifiers (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/cache/clear/{key}' \
--request DELETE \
--header 'Authorization: Bearer <token>'unauthorized
Same fields as Get all keys for all cache identifiers (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/cache/clear/{key}/{identifier}' \
--request DELETE \
--header 'Authorization: Bearer <token>'